<link rel="import" href="chrome://resources/cr_elements/shared_style_css.html">

<link rel="import" href="chrome://resources/html/i18n_behavior.html">

<link rel="import" href="chrome://resources/html/assert.html">
<link rel="import" href="chrome://resources/html/i18n_behavior.html">
<link rel="import" href="chrome://resources/cr_components/chromeos/quick_unlock/setup_pin_keyboard.html">
<link rel="import" href="chrome://resources/cr_elements/cr_input/cr_input.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/throbber_notice.html">

<dom-module id="discover-pin-setup-card">
  <template>
    <discover-card on-click="onClick_">
      <if expr="chromeos and _google_chrome">
        <div slot=background>
          <div style="background: lightgreen; width: 100%; height: 100%;"></div>
        </div>
      </if>
      <div slot="title">
        [[i18nDynamic(locale, 'discoverPinSetup')]]
      </div>
    </discover-card>
  </template>
</dom-module>

<dom-module id="discover-pin-setup-module">
  <template>
    <style include="cr-shared-style oobe-dialog-host">
    </style>
    <link rel="stylesheet" href="discover_module_pin_setup.css">
    <oobe-dialog id="loading" role="dialog" no-header no-footer-padding
        hidden="[[isStepHidden_(step_, 'loading')]]">
      <div slot="footer" class="flex layout vertical center center-justified">
        <!--TODO(crbug.com/955194): use proper localization key -->
        <throbber-notice text-key="gaiaLoading">
        </throbber-notice>
      </div>
    </oobe-dialog>
    <oobe-dialog role="dialog" has-buttons on-keypress="onKeypress_"
        title-key="discoverPinSetupPasswordTitle"
        subtitle-key="discoverPinSetupPasswordSubTitle"
        hidden="[[isStepHidden_(step_, 'password')]]">
      <hd-iron-icon slot="oobe-icon" icon1x="oobe-32:lock"
          icon2x="oobe-64:lock">
      </hd-iron-icon>
      <div slot="footer" class="flex layout horizontal">
        <cr-input id="passwordInput" type="password"
            placeholder="[[i18nDynamic(locale, 'passwordPromptPasswordLabel')]]"
            error-message="[[i18nDynamic(locale,
                                         'passwordPromptInvalidPassword')]]"
            invalid="[[passwordInvalid_]]"
            value="{{password_}}"
            aria-disabled="false"
            class="focus-on-show">
        </cr-input>
      </div>
      <div slot="bottom-buttons" class="flex layout horizontal end-justified">
        <oobe-text-button on-click="onSkipButton_"
            text-key="discoverPinSetupSkip"></oobe-text-button>
        <oobe-next-button inverse disabled="[[!password_]]"
            on-click="onPasswordSubmitButton_">
        </oobe-next-button>
      </div>
    </oobe-dialog>
    <oobe-dialog id="setup" role="dialog" has-buttons two-columns-adaptable
        footer-shrinkable="[[!isStepHidden_(step_, 'done')]]"
        hidden="[[isPinSetupHidden_(step_)]]">
      <hd-iron-icon slot="oobe-icon" icon1x="oobe-32:lock"
          icon2x="oobe-64:lock">
      </hd-iron-icon>
      <h1 slot="title" hidden="[[isStepHidden_(step_, 'start')]]">
        [[i18nDynamic(locale, 'discoverPinSetupTitle1')]]
      </h1>
      <h1 slot="title" hidden="[[isStepHidden_(step_, 'confirm')]]">
        [[i18nDynamic(locale, 'discoverPinSetupTitle2')]]
      </h1>
      <h1 slot="title" hidden="[[isStepHidden_(step_, 'done')]]">
        [[i18nDynamic(locale, 'discoverPinSetupTitle3')]]
      </h1>
      <div slot="subtitle" hidden="[[isStepHidden_(step_, 'start')]]">
        [[i18nDynamic(locale, 'discoverPinSetupSubtitle1')]]
      </div>
      <div slot="subtitle" hidden="[[isStepHidden_(step_, 'done')]]">
        <div hidden="[[hasLoginSupport_]]">
          [[i18nDynamic(locale, 'discoverPinSetupSubtitle3NoLogin')]]<br>
        </div>
        <div hidden="[[!hasLoginSupport_]]">
          [[i18nDynamic(locale, 'discoverPinSetupSubtitle3WithLogin')]]<br>
        </div>
      </div>
      <div slot="footer" class="flex-grow layout vertical center
          center-justified" hidden="[[!isStepHidden_(step_, 'done')]]">
        <setup-pin-keyboard id="pinKeyboard"
            enable-submit="{{enableSubmit_}}"
            is-confirm-step="{{isConfirmStep_}}"
            on-pin-submit="onPinSubmit_"
            on-set-pin-done="onSetPinDone_"
            set-modes="{{setModes}}"
            quick-unlock-private="[[quickUnlockPrivate_]]"
            write-uma="[[writeUma_]]"
            class="focus-on-show">
        </setup-pin-keyboard>
      </div>
      <div slot="footer" class="flex layout vertical center
          center-justified" hidden="[[isStepHidden_(step_, 'done')]]">
        <img id="done-illustration" class="oobe-illustration"
            srcset="images/pin_illustration_1x.svg 1x,
                    images/pin_illustration_2x.svg 2x">
      </div>
      <div slot="back-navigation">
        <oobe-back-button id="backButton"
            hidden="[[isStepHidden_(step_, 'confirm')]]"
            on-click="onBackButton_"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-text-button id="setupSkipButton" on-click="onSkipButton_"
            text-key="discoverPinSetupSkip"
            hidden="[[!isStepHidden_(step_, 'done')]]">
        </oobe-text-button>
        <oobe-next-button id="nextButton" inverse
            disabled="[[isNextDisabled_(step_, enableSubmit_)]]"
            on-click="onNextButton_" class="focus-on-show"
            hidden="[[!isStepHidden_(step_, 'done')]]"></oobe-next-button>
        <oobe-text-button id="doneButton"
            inverse on-click="onDoneButton_" class="focus-on-show"
            text-key="discoverPinSetupDone"
            hidden="[[isStepHidden_(step_, 'done')]]">
        </oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
